* lib/Automake/Variable.pm (_hash_varname, _hash_values): New functions.
[automake.git] / lib / Automake / tests / Makefile.in
blob1c950a3bcd2d678c2f467cf990ae502d130b1490
1 # Makefile.in generated by automake 1.9a from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
16 VPATH = @srcdir@
17 pkgdatadir = $(datadir)/@PACKAGE@
18 pkglibdir = $(libdir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
21 install_sh_DATA = $(install_sh) -c -m 644
22 install_sh_PROGRAM = $(install_sh) -c
23 install_sh_SCRIPT = $(install_sh) -c
24 INSTALL_HEADER = $(INSTALL_DATA)
25 transform = $(program_transform_name)
26 NORMAL_INSTALL = :
27 PRE_INSTALL = :
28 POST_INSTALL = :
29 NORMAL_UNINSTALL = :
30 PRE_UNINSTALL = :
31 POST_UNINSTALL = :
32 build_triplet = @build@
33 subdir = lib/Automake/tests
34 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
35 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
36 am__aclocal_m4_deps = $(top_srcdir)/m4/amversion.m4 \
37 $(top_srcdir)/m4/auxdir.m4 $(top_srcdir)/m4/init.m4 \
38 $(top_srcdir)/m4/install-sh.m4 $(top_srcdir)/m4/lead-dot.m4 \
39 $(top_srcdir)/m4/missing.m4 $(top_srcdir)/m4/mkdirp.m4 \
40 $(top_srcdir)/m4/options.m4 $(top_srcdir)/m4/runlog.m4 \
41 $(top_srcdir)/m4/sanity.m4 $(top_srcdir)/m4/strip.m4 \
42 $(top_srcdir)/m4/tar.m4 $(top_srcdir)/configure.ac
43 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44 $(ACLOCAL_M4)
45 mkinstalldirs = $(SHELL) $(top_srcdir)/lib/mkinstalldirs
46 CONFIG_CLEAN_FILES =
47 SOURCES =
48 DIST_SOURCES =
49 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
50 ACLOCAL = @ACLOCAL@
51 AMTAR = @AMTAR@
52 APIVERSION = @APIVERSION@
53 AUTOCONF = @AUTOCONF@
54 AUTOHEADER = @AUTOHEADER@
55 AUTOMAKE = @AUTOMAKE@
56 AWK = @AWK@
57 CYGPATH_W = @CYGPATH_W@
58 DEFS = @DEFS@
59 ECHO_C = @ECHO_C@
60 ECHO_N = @ECHO_N@
61 ECHO_T = @ECHO_T@
62 EGREP = @EGREP@
63 FGREP = @FGREP@
64 GREP = @GREP@
65 INSTALL = @INSTALL@
66 INSTALL_DATA = @INSTALL_DATA@
67 INSTALL_PROGRAM = @INSTALL_PROGRAM@
68 INSTALL_SCRIPT = @INSTALL_SCRIPT@
69 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
70 LIBOBJS = @LIBOBJS@
71 LIBS = @LIBS@
72 LN = @LN@
73 LTLIBOBJS = @LTLIBOBJS@
74 MAKEINFO = @MAKEINFO@
75 MODIFICATION_DELAY = @MODIFICATION_DELAY@
76 PACKAGE = @PACKAGE@
77 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
78 PACKAGE_NAME = @PACKAGE_NAME@
79 PACKAGE_STRING = @PACKAGE_STRING@
80 PACKAGE_TARNAME = @PACKAGE_TARNAME@
81 PACKAGE_VERSION = @PACKAGE_VERSION@
82 PATH_SEPARATOR = @PATH_SEPARATOR@
83 PERL = @PERL@
84 SET_MAKE = @SET_MAKE@
85 SHELL = @SHELL@
86 STRIP = @STRIP@
87 TEX = @TEX@
88 VERSION = @VERSION@
89 abs_builddir = @abs_builddir@
90 abs_srcdir = @abs_srcdir@
91 abs_top_builddir = @abs_top_builddir@
92 abs_top_srcdir = @abs_top_srcdir@
93 am_AUTOCONF = @am_AUTOCONF@
94 am__leading_dot = @am__leading_dot@
95 am__tar = @am__tar@
96 am__untar = @am__untar@
97 bindir = @bindir@
98 build = @build@
99 build_alias = @build_alias@
100 build_cpu = @build_cpu@
101 build_os = @build_os@
102 build_vendor = @build_vendor@
103 builddir = @builddir@
104 datadir = @datadir@
105 datarootdir = @datarootdir@
106 docdir = @docdir@
107 dvidir = @dvidir@
108 exec_prefix = @exec_prefix@
109 host_alias = @host_alias@
110 htmldir = @htmldir@
111 includedir = @includedir@
112 infodir = @infodir@
113 install_sh = @install_sh@
114 libdir = @libdir@
115 libexecdir = @libexecdir@
116 localedir = @localedir@
117 localstatedir = @localstatedir@
118 mandir = @mandir@
119 mkdir_p = @mkdir_p@
120 oldincludedir = @oldincludedir@
121 pdfdir = @pdfdir@
122 pkgvdatadir = @pkgvdatadir@
123 prefix = @prefix@
124 program_transform_name = @program_transform_name@
125 psdir = @psdir@
126 sbindir = @sbindir@
127 sharedstatedir = @sharedstatedir@
128 srcdir = @srcdir@
129 sysconfdir = @sysconfdir@
130 target_alias = @target_alias@
131 top_builddir = @top_builddir@
132 top_srcdir = @top_srcdir@
133 TESTS_ENVIRONMENT = $(PERL) -Mstrict -I $(top_srcdir)/lib -w
134 TESTS = \
135 Condition.pl \
136 DisjConditions.pl \
137 Version.pl \
138 Wrap.pl
140 EXTRA_DIST = $(TESTS)
141 all: all-am
143 .SUFFIXES:
144 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
145 @for dep in $?; do \
146 case '$(am__configure_deps)' in \
147 *$$dep*) \
148 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
149 && exit 0; \
150 exit 1;; \
151 esac; \
152 done; \
153 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lib/Automake/tests/Makefile'; \
154 cd $(top_srcdir) && \
155 $(AUTOMAKE) --gnu lib/Automake/tests/Makefile
156 .PRECIOUS: Makefile
157 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
158 @case '$?' in \
159 *config.status*) \
160 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
161 *) \
162 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
163 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
164 esac;
166 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
167 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
169 $(top_srcdir)/configure: $(am__configure_deps)
170 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
171 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
172 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
173 tags: TAGS
174 TAGS:
176 ctags: CTAGS
177 CTAGS:
180 check-TESTS: $(TESTS)
181 @failed=0; all=0; xfail=0; xpass=0; skip=0; \
182 srcdir=$(srcdir); export srcdir; \
183 list='$(TESTS)'; \
184 if test -n "$$list"; then \
185 for tst in $$list; do \
186 if test -f ./$$tst; then dir=./; \
187 elif test -f $$tst; then dir=; \
188 else dir="$(srcdir)/"; fi; \
189 if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
190 all=`expr $$all + 1`; \
191 case " $(XFAIL_TESTS) " in \
192 *" $$tst "*) \
193 xpass=`expr $$xpass + 1`; \
194 failed=`expr $$failed + 1`; \
195 echo "XPASS: $$tst"; \
196 ;; \
197 *) \
198 echo "PASS: $$tst"; \
199 ;; \
200 esac; \
201 elif test $$? -ne 77; then \
202 all=`expr $$all + 1`; \
203 case " $(XFAIL_TESTS) " in \
204 *" $$tst "*) \
205 xfail=`expr $$xfail + 1`; \
206 echo "XFAIL: $$tst"; \
207 ;; \
208 *) \
209 failed=`expr $$failed + 1`; \
210 echo "FAIL: $$tst"; \
211 ;; \
212 esac; \
213 else \
214 skip=`expr $$skip + 1`; \
215 echo "SKIP: $$tst"; \
216 fi; \
217 done; \
218 if test "$$failed" -eq 0; then \
219 if test "$$xfail" -eq 0; then \
220 banner="All $$all tests passed"; \
221 else \
222 banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
223 fi; \
224 else \
225 if test "$$xpass" -eq 0; then \
226 banner="$$failed of $$all tests failed"; \
227 else \
228 banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
229 fi; \
230 fi; \
231 dashes="$$banner"; \
232 skipped=""; \
233 if test "$$skip" -ne 0; then \
234 skipped="($$skip tests were not run)"; \
235 test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
236 dashes="$$skipped"; \
237 fi; \
238 report=""; \
239 if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
240 report="Please report to $(PACKAGE_BUGREPORT)"; \
241 test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
242 dashes="$$report"; \
243 fi; \
244 dashes=`echo "$$dashes" | sed s/./=/g`; \
245 echo "$$dashes"; \
246 echo "$$banner"; \
247 test -z "$$skipped" || echo "$$skipped"; \
248 test -z "$$report" || echo "$$report"; \
249 echo "$$dashes"; \
250 test "$$failed" -eq 0; \
251 else :; fi
253 distdir: $(DISTFILES)
254 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
255 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
256 list='$(DISTFILES)'; for file in $$list; do \
257 case $$file in \
258 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
259 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
260 esac; \
261 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
262 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
263 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
264 dir="/$$dir"; \
265 $(mkdir_p) "$(distdir)$$dir"; \
266 else \
267 dir=''; \
268 fi; \
269 if test -d $$d/$$file; then \
270 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
271 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
272 fi; \
273 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
274 else \
275 test -f $(distdir)/$$file \
276 || cp -p $$d/$$file $(distdir)/$$file \
277 || exit 1; \
278 fi; \
279 done
280 check-am: all-am
281 $(MAKE) $(AM_MAKEFLAGS) check-TESTS
282 check: check-am
283 all-am: Makefile
284 installdirs:
285 install: install-am
286 install-exec: install-exec-am
287 install-data: install-data-am
288 uninstall: uninstall-am
290 install-am: all-am
291 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
293 installcheck: installcheck-am
294 install-strip:
295 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
296 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
297 `test -z '$(STRIP)' || \
298 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
299 mostlyclean-generic:
301 clean-generic:
303 distclean-generic:
304 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
306 maintainer-clean-generic:
307 @echo "This command is intended for maintainers to use"
308 @echo "it deletes files that may require special tools to rebuild."
309 clean: clean-am
311 clean-am: clean-generic mostlyclean-am
313 distclean: distclean-am
314 -rm -f Makefile
315 distclean-am: clean-am distclean-generic
317 dvi: dvi-am
319 dvi-am:
321 html: html-am
323 info: info-am
325 info-am:
327 install-data-am:
329 install-dvi: install-dvi-am
331 install-exec-am:
333 install-html: install-html-am
335 install-info: install-info-am
337 install-man:
339 install-pdf: install-pdf-am
341 install-ps: install-ps-am
343 installcheck-am:
345 maintainer-clean: maintainer-clean-am
346 -rm -f Makefile
347 maintainer-clean-am: distclean-am maintainer-clean-generic
349 mostlyclean: mostlyclean-am
351 mostlyclean-am: mostlyclean-generic
353 pdf: pdf-am
355 pdf-am:
357 ps: ps-am
359 ps-am:
361 uninstall-am:
363 .MAKE: install-am install-strip
365 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
366 distclean distclean-generic distdir dvi dvi-am html html-am \
367 info info-am install install-am install-data install-data-am \
368 install-dvi install-dvi-am install-exec install-exec-am \
369 install-html install-html-am install-info install-info-am \
370 install-man install-pdf install-pdf-am install-ps \
371 install-ps-am install-strip installcheck installcheck-am \
372 installdirs maintainer-clean maintainer-clean-generic \
373 mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
374 uninstall-am
376 # Tell versions [3.59,3.63) of GNU make to not export all variables.
377 # Otherwise a system limit (for SysV at least) may be exceeded.
378 .NOEXPORT: